using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain.Aggregates.Stores.Data;

public interface IStoreRepository
{
    Task AddAsync(Store store);
    Task<List<Store>> GetAllAsync();
    Task<Store?> GetAsync(Guid storeId);
    void Remove(Store store);
    Task SaveChangesAsync();

}
